
QGIS Application - Bug report #2927

QGIS crashes on WMS load

2010-08-02 10:43 PM - Gavin Fleming

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 12987

Description

crashing repeatedly and repeatably when loading WMS layers. Seems to happen after doing a few in a row or after coming back to QGIS

after a few minutes and trying another one.

(gdb) bt

#0  0x00007f1de9f975d1 in [[PyObject]]_RichCompare ()

   from /usr/lib/libpython2.6.so.1.0

#3905  0x00007f1de9f9793d in [[PyObject]]_RichCompareBool ()

   from /usr/lib/libpython2.6.so.1.0

#3906  0x00007f1de9f91684 in ?? () from /usr/lib/libpython2.6.so.1.0

#3907  0x00007f1de9f92302 in [[PyDict]]_GetItem () from /usr/lib/libpython2.6.so.1.0

#3908  0x00007f1dea01a3a7 in [[PySymtable]]_Lookup ()

   from /usr/lib/libpython2.6.so.1.0

#3909  0x00007f1de9ffc691 in ?? () from /usr/lib/libpython2.6.so.1.0

#3910  0x00007f1dea002754 in [[PyAST]]_Compile () from /usr/lib/libpython2.6.so.1.0

#3911  0x00007f1dea016d04 in [[PyRun]]_StringFlags ()

   from /usr/lib/libpython2.6.so.1.0

#3912  0x00007f1dea3b4d02 in [[QgsPythonUtilsImpl]]::runStringUnsafe(QString const&, bool) () from

/usr/lib/libqgispython.so.1.5.0

#3913  0x00007f1dea3b5ff5 in [[QgsPythonUtilsImpl]]::runString(QString const&, QString) () from /usr/lib/libqgispython.so.1.5.0

#10 0x00000000004e4ee9 in [[QgisApp]]::runPythonString(QString const&) ()

#3914 0x00000000004e68f6 in [[QgisApp]]::projectChanged(QDomDocument const&) ()

#3915 0x00000000007183e3 in [[QgisApp]]::qt_metacall(QMetaObject::Call, int, void**)

    ()

#3916 0x00007f1e094a9e3f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4

#3917 0x00007f1e0a7546d5 in [[QgsProject]]::writeProject(QDomDocument&) ()

---Type <return> to continue, or q <return> to quit---

   from /usr/lib/libqgis_core.so.1.5.0

#3918 0x00007f1e0a666189 in [[QgsProject]]::write() ()

   from /usr/lib/libqgis_core.so.1.5.0

#3919 0x00007f1de8d0f7f4 in ?? ()

   from /usr/lib/python2.6/dist-packages/qgis/core.so

#3920 0x00007f1de9ff7030 in [[PyEval]]_EvalFrameEx ()

   from /usr/lib/libpython2.6.so.1.0

#3921 0x00007f1de9ff8d60 in [[PyEval]]_EvalCodeEx ()

   from /usr/lib/libpython2.6.so.1.0

#3922 0x00007f1de9f7ed60 in ?? () from /usr/lib/libpython2.6.so.1.0

#3923 0x00007f1de9f512e3 in [[PyObject]]_Call () from /usr/lib/libpython2.6.so.1.0

#3924 0x00007f1de9f62cef in ?? () from /usr/lib/libpython2.6.so.1.0

#3925 0x00007f1de9f512e3 in [[PyObject]]_Call () from /usr/lib/libpython2.6.so.1.0
#3926 0x00007f1de9ff1193 in [[PyEval]]_CallObjectWithKeywords ()

   from /usr/lib/libpython2.6.so.1.0

#3927 0x00007f1de9cf8a38 in sip_api_invoke_slot ()

   from /usr/lib/pymodules/python2.6/sip.so

#3928 0x00007f1de9a35016 in ?? ()

   from /usr/lib/pymodules/python2.6/PyQt4/QtCore.so

#3929 0x00007f1de9a35138 in ?? ()

   from /usr/lib/pymodules/python2.6/PyQt4/QtCore.so

#3930 0x00007f1de9a351f2 in ?? ()

   from /usr/lib/pymodules/python2.6/PyQt4/QtCore.so

---Type <return> to continue, or q <return> to quit---

#3931 0x00007f1e094a9e3f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4

#3932 0x00007f1e0a263ef2 in [[QgsMapCanvas]]::renderComplete(QPainter*) ()

   from /usr/lib/libqgis_gui.so.1.5.0

#3933 0x00007f1e0a23a771 in [[QgsMapCanvas]]::refresh() ()

   from /usr/lib/libqgis_gui.so.1.5.0

#3934 0x00000000004e8e4e in [[QgisApp]]::addRasterLayer(QString const&, QString const&, QString const&, QStringList

const&, QStringList const&, QString const&, QString const&) ()

#3935 0x0000000000618a1c in [[QgsWMSSourceSelect]]::addClicked() ()

#3936 0x000000000071ee4d in [[QgsWMSSourceSelect]]::qt_metacall(QMetaObject::Call, int, void**) ()

#3937 0x00007f1e094a9e3f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4

#3938 0x00007f1e08eeb5f2 in QAbstractButton::clicked(bool) ()

   from /usr/lib/libQtGui.so.4

#36 0x00007f1e08c0586b in ?? () from /usr/lib/libQtGui.so.4

#37 0x00007f1e08c0670b in ?? () from /usr/lib/libQtGui.so.4

#38 0x00007f1e08c0697c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/libQtGui.so.4

#39 0x00007f1e088a6582 in QWidget::event(QEvent*) ()

   from /usr/lib/libQtGui.so.4

#40 0x00007f1e0885022c in QApplicationPrivate::notify_helper(QObject*, QEvent*)

---Type <return> to continue, or q <return> to quit---

    () from /usr/lib/libQtGui.so.4

#41 0x00007f1e08856ecb in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/libQtGui.so.4

#42 0x00007f1e0a61086b in [[QgsApplication]]::notify(QObject*, QEvent*) ()

   from /usr/lib/libqgis_core.so.1.5.0

#43 0x00007f1e0949706c in QCoreApplication::notifyInternal(QObject*, QEvent*)

    () from /usr/lib/libQtCore.so.4

#44 0x00007f1e088560ae in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) ()

   from /usr/lib/libQtGui.so.4

#45 0x00007f1e088d5f65 in ?? () from /usr/lib/libQtGui.so.4

#46 0x00007f1e088d48ac in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/libQtGui.so.4

#47 0x00007f1e08900882 in ?? () from /usr/lib/libQtGui.so.4

#48 0x00007f1e043138c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0

#49 0x00007f1e04317748 in ?? () from /lib/libglib-2.0.so.0

#50 0x00007f1e043178fc in g_main_context_iteration ()

   from /lib/libglib-2.0.so.0

#51 0x00007f1e094c0513 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/libQtCore.so.4

#52 0x00007f1e0890046e in ?? () from /usr/lib/libQtGui.so.4

#53 0x00007f1e09495992 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/libQtCore.so.4

---Type <return> to continue, or q <return> to quit---

#54 0x00007f1e09495d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

#55 0x00007f1e08d1a09e in QDialog::exec() () from /usr/lib/libQtGui.so.4

#56 0x00000000004d0de2 in [[QgisApp]]::addWmsLayer() ()

#57 0x0000000000718b30 in [[QgisApp]]::qt_metacall(QMetaObject::Call, int, void**)

    ()

#58 0x00007f1e094a9e3f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4

#59 0x00007f1e0884a032 in QAction::triggered(bool) ()

   from /usr/lib/libQtGui.so.4

#60 0x00007f1e0884c0ab in QAction::activate(QAction::ActionEvent) ()

   from /usr/lib/libQtGui.so.4

#61 0x00007f1e08c066ca in ?? () from /usr/lib/libQtGui.so.4

#62 0x00007f1e08c0697c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/libQtGui.so.4

#63 0x00007f1e08cd28ca in QToolButton::mouseReleaseEvent(QMouseEvent*) ()

   from /usr/lib/libQtGui.so.4

#64 0x00007f1e088a6582 in QWidget::event(QEvent*) ()

   from /usr/lib/libQtGui.so.4

#65 0x00007f1e0885022c in QApplicationPrivate::notify_helper(QObject*, QEvent*)

    () from /usr/lib/libQtGui.so.4

#66 0x00007f1e08856ecb in QApplication::notify(QObject*, QEvent*) ()

   from /usr/lib/libQtGui.so.4

---Type <return> to continue, or q <return> to quit---

#67 0x00007f1e0a61086b in [[QgsApplication]]::notify(QObject*, QEvent*) ()

   from /usr/lib/libqgis_core.so.1.5.0

#68 0x00007f1e0949706c in QCoreApplication::notifyInternal(QObject*, QEvent*)

    () from /usr/lib/libQtCore.so.4

#69 0x00007f1e088560ae in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) ()

   from /usr/lib/libQtGui.so.4

#70 0x00007f1e088d5f65 in ?? () from /usr/lib/libQtGui.so.4

#71 0x00007f1e088d48ac in QApplication::x11ProcessEvent(_XEvent*) ()

   from /usr/lib/libQtGui.so.4

#72 0x00007f1e08900882 in ?? () from /usr/lib/libQtGui.so.4

#73 0x00007f1e043138c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0

#74 0x00007f1e04317748 in ?? () from /lib/libglib-2.0.so.0

#75 0x00007f1e043178fc in g_main_context_iteration ()

   from /lib/libglib-2.0.so.0

#76 0x00007f1e094c0513 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/libQtCore.so.4

#77 0x00007f1e0890046e in ?? () from /usr/lib/libQtGui.so.4

#78 0x00007f1e09495992 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/libQtCore.so.4

#79 0x00007f1e09495d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

#80 0x00007f1e09499aab in QCoreApplication::exec() ()

---Type <return> to continue, or q <return> to quit---

   from /usr/lib/libQtCore.so.4

#81 0x00000000004ce62f in main ()

History
#1 - 2010-08-02 11:34 PM - Jürgen Fischer

Do you have third party plugins installed?  And does that also happen if you disable them?

#2 - 2010-08-03 03:35 AM - Giovanni Manghi

can you post also the wms you are using in order to make tests locally? layer list would also help.

#3 - 2010-08-03 03:49 AM - Gavin Fleming

Replying to [comment:2 jef]:

Do you have third party plugins installed?  And does that also happen if you disable them?

I had lots enabled. I have disabled all plugins except for plugin

installer and the crash has not occurred again (yet). After disabling the

plugins, I closed QGIS and multiple errors came up referring to one of

the OSM-related plugins. Since restarting all seems OK.

#4 - 2010-08-03 04:13 AM - Jürgen Fischer

Replying to [comment:4 gfleming]:

I had lots enabled. I have disabled all plugins except for plugin

installer and the crash has not occurred again (yet). After disabling the

plugins, I closed QGIS and multiple errors came up referring to one of

the OSM-related plugins. Since restarting all seems OK.

Looking at the backtrace it might be the autosave plugin.  Can you verify?

#5 - 2010-08-03 11:05 AM - Gavin Fleming

Replying to [comment:5 jef]:

Replying to [comment:4 gfleming]:

I had lots enabled. I have disabled all plugins except for plugin

installer and the crash has not occurred again (yet). After disabling the

plugins, I closed QGIS and multiple errors came up referring to one of

the OSM-related plugins. Since restarting all seems OK.

Looking at the backtrace it might be the autosave plugin.  Can you verify?

It does indeed seem to be the autosave plugin. I enabled it and whammo, a while later it crashed. I think any relationship to WMS loading might be a red

herring. So, what next?
#6 - 2010-08-04 10:14 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

So, what next?

send an e-mail to the author of the plugin and/or to the qgis-dev mailing list.
